Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90	(revision 7072)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/par_my_trc.F90	(revision 7073)
@@ -13,24 +13,9 @@
    IMPLICIT NONE
 
-#if defined key_my_trc
-   !!---------------------------------------------------------------------
-   !!   'key_my_trc'                     user defined tracers (MY_TRC)
-   !!---------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_my_trc  = .TRUE.   !: PTS flag 
-   INTEGER, PUBLIC            ::   jp_my_trc      !: number of PTS tracers
-
-#else
-   !!---------------------------------------------------------------------
-   !!   Default                           No user defined tracers (MY_TRC)
-   !!---------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_my_trc   = .FALSE.  !: MY_TRC flag 
-   INTEGER, PUBLIC            ::   jp_my_trc        !: No MY_TRC tracers
-#endif
-
    ! Starting/ending PISCES do-loop indices (N.B. no PISCES : jpl_pcs < jpf_pcs the do-loop are never done)
    INTEGER, PUBLIC ::   jp_myt0             !: First index of MY_TRC passive tracers
    INTEGER, PUBLIC ::   jp_myt1             !: Last  index of MY_TRC passive tracers
 
-   INTEGER, PUBLIC ::   jpmyt0, jpmty1, jpmyt2         !: Last  index of MY_TRC passive tracers
+   INTEGER, PUBLIC ::   jpmyt0, jpmty1, jpmyt2         !: index of MY_TRC passive tracers
    !!======================================================================
 END MODULE par_my_trc
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcice_my_trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcice_my_trc.F90	(revision 7072)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcice_my_trc.F90	(revision 7073)
@@ -2,8 +2,4 @@
    !!======================================================================
    !!                         ***  MODULE trcice_my_trc  ***
-   !!----------------------------------------------------------------------
-#if defined key_my_trc
-   !!----------------------------------------------------------------------
-   !!   'key_my_trc'                                               CFC tracers
    !!----------------------------------------------------------------------
    !! trc_ice_my_trc       : MY_TRC model main routine
@@ -34,12 +30,4 @@
    END SUBROUTINE trc_ice_ini_my_trc
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                                        No MY_TRC model
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_ice_ini_my_trc             ! Empty routine
-   END SUBROUTINE trc_ice_ini_my_trc
-#endif
 
    !!======================================================================
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcini_my_trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcini_my_trc.F90	(revision 7072)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcini_my_trc.F90	(revision 7073)
@@ -5,8 +5,4 @@
    !!======================================================================
    !! History :   2.0  !  2007-12  (C. Ethe, G. Madec) Original code
-   !!----------------------------------------------------------------------
-#if defined key_my_trc
-   !!----------------------------------------------------------------------
-   !!   'key_my_trc'                                               CFC tracers
    !!----------------------------------------------------------------------
    !! trc_ini_my_trc   : MY_TRC model initialisation
@@ -37,32 +33,4 @@
       !! ** Method  : - Read the namcfc namelist and check the parameter values
       !!----------------------------------------------------------------------
-      INTEGER              ::  jn
-      CHARACTER(len = 20)  ::  cltra
-
-
-      jp_my_trc = 1
-      ! assign an index in trc arrays for each prognostic variables
-      DO jn = 1, jptra
-        cltra = ctrcnm(jn) 
-        IF( cltra == 'MYTRC'   .OR. cltra == 'mytrc'  )   jpmyt0 = jn 
-        IF( cltra == 'MYTRC1'  .OR. cltra == 'mytrc1' )   jpmyt1 = jn 
-        IF( cltra == 'MYTRC2'  .OR. cltra == 'mytrc2' )   jpmyt2 = jn 
-      ENDDO
-   
-      IF( jp_my_trc == 1 ) THEN
-        jp_myt0  = jpmyt0
-      ELSE
-        jp_myt0 = MIN( jpmyt0, jpmyt1, jpmyt2 ) 
-      ENDIF
-      jp_myt1 = jp_myt0 + jp_my_trc - 1
-
-
-      IF( lwp ) THEN
-        WRITE(numout,*) ''
-        WRITE(numout,*) ' First index of MYTRC model in the passive tracer array   jp_myt0 = ', jp_myt0
-        WRITE(numout,*) ' Last  index of MYTRC model in the passive tracer array   jp_myt1 = ', jp_myt1
-        WRITE(numout,*) 
-      ENDIF
-
 
       !                       ! Allocate MY_TRC arrays
@@ -81,12 +49,4 @@
    END SUBROUTINE trc_ini_my_trc
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                                        No MY_TRC model
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_ini_my_trc             ! Empty routine
-   END SUBROUTINE trc_ini_my_trc
-#endif
 
    !!======================================================================
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcnam_my_trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcnam_my_trc.F90	(revision 7072)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcnam_my_trc.F90	(revision 7073)
@@ -5,8 +5,4 @@
    !!======================================================================
    !! History :   2.0  !  2007-12  (C. Ethe, G. Madec) Original code
-   !!----------------------------------------------------------------------
-#if defined key_my_trc
-   !!----------------------------------------------------------------------
-   !!   'key_my_trc'   :                                       MY_TRC model
    !!----------------------------------------------------------------------
    !! trc_nam_my_trc      : MY_TRC model initialisation
@@ -43,12 +39,4 @@
    END SUBROUTINE trc_nam_my_trc
    
-#else
-   !!----------------------------------------------------------------------
-   !!  Dummy module :                                             No MY_TRC
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_nam_my_trc                      ! Empty routine
-   END  SUBROUTINE  trc_nam_my_trc
-#endif  
 
    !!======================================================================
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 7072)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcsms_my_trc.F90	(revision 7073)
@@ -5,8 +5,4 @@
    !!======================================================================
    !! History :   2.0  !  2007-12  (C. Ethe, G. Madec) Original code
-   !!----------------------------------------------------------------------
-#if defined key_my_trc
-   !!----------------------------------------------------------------------
-   !!   'key_my_trc'                                               CFC tracers
    !!----------------------------------------------------------------------
    !! trc_sms_my_trc       : MY_TRC model main routine
@@ -89,15 +85,4 @@
 
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                                        No MY_TRC model
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_sms_my_trc( kt )             ! Empty routine
-      INTEGER, INTENT( in ) ::   kt
-      WRITE(*,*) 'trc_sms_my_trc: You should not have seen this print! error?', kt
-   END SUBROUTINE trc_sms_my_trc
-#endif
-
    !!======================================================================
 END MODULE trcsms_my_trc
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcwri_my_trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcwri_my_trc.F90	(revision 7072)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/MY_TRC/trcwri_my_trc.F90	(revision 7073)
@@ -6,10 +6,9 @@
    !! History :   1.0  !  2009-05 (C. Ethe)  Original code
    !!----------------------------------------------------------------------
-#if defined key_top && defined key_my_trc && defined key_iomput
-   !!----------------------------------------------------------------------
-   !!   'key_my_trc'                                           my_trc model
+#if defined key_top && defined key_iomput
    !!----------------------------------------------------------------------
    !! trc_wri_my_trc   :  outputs of concentration fields
    !!----------------------------------------------------------------------
+   USE par_trc         ! passive tracers common variables 
    USE trc         ! passive tracers common variables 
    USE iom         ! I/O manager
@@ -36,5 +35,5 @@
       DO jn = jp_myt0, jp_myt1
          cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
-         IF( ln_trc_wri(jn) ) CALL iom_put( cltra, trn(:,:,:,jn) )
+         CALL iom_put( cltra, trn(:,:,:,jn) )
       END DO
       !
@@ -42,17 +41,12 @@
 
 #else
-   !!----------------------------------------------------------------------
-   !!  Dummy module :                                     No passive tracer
-   !!----------------------------------------------------------------------
-   PUBLIC trc_wri_my_trc
+
 CONTAINS
-   SUBROUTINE trc_wri_my_trc                     ! Empty routine  
+
+   SUBROUTINE trc_wri_my_trc
+      !
    END SUBROUTINE trc_wri_my_trc
+
 #endif
 
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcwri_my_trc.F90 3160 2011-11-20 14:27:18Z cetlod $ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!======================================================================
 END MODULE trcwri_my_trc