Index: /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7088)
+++ /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7089)
@@ -1331,3 +1331,4 @@
    nn_bias_itwrt  = 15
    ln_itdecay     = .FALSE.
-/
+   ln_incpc       = .FALSE.
+/
Index: /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90
===================================================================
--- /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90	(revision 7088)
+++ /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90	(revision 7089)
@@ -147,5 +147,5 @@
       & sbias_rlx_out, &   !: Output salinity bias field
       & tbias_p_out,   &   !: Output temperature bias field for P correction
-      & sbias_p_out        !: Output salinity bias field for P correction
+      & sbias_p_out,   &   !: Output salinity bias field for P correction
 
    INTEGER, PRIVATE :: nn_lat_ramp     ! choice of latitude dependent ramp
@@ -155,5 +155,4 @@
    LOGICAL, PRIVATE :: ln_itdecay      ! evolve bias correction at every time step.  
    LOGICAL, PRIVATE :: ln_incpc        ! incremental pressure correction
-   LOGICAL, PRIVATE :: lat_ramp_incpc  ! ramp for incremental pressure correction
 
    REAL(wp), PRIVATE, DIMENSION(:,:), ALLOCATABLE :: fbcoef
@@ -217,5 +216,5 @@
          & cn_bias_tot, cn_bias_asm, cn_dir, sn_tbias_ofl, sn_sbias_ofl,  &
          & ln_bsyncro, fctamp, rn_maxlat_bias, rn_minlat_bias,            &
-         & nn_bias_itwrt, ln_itdecay, ln_incpc, lat_ramp_incpc
+         & nn_bias_itwrt, ln_itdecay, ln_incpc
  
 
@@ -277,5 +276,4 @@
 	 WRITE(numout,*) '     evolve pcbias at each timestep ln_itdecay     = ',ln_itdecay
 	 WRITE(numout,*) '     incremental press. correction  ln_incpc       = ',ln_incpc
-         WRITE(numout,*) '     lat ramp for inc.press.corr    lat_ramp_incpc = ',lat_ramp_incpc
          WRITE(numout,*) '  Parameters for parition of bias term '
          WRITE(numout,*) '                                    fb_t_rlx       = ',fb_t_rlx
@@ -309,6 +307,4 @@
             &      tbias_p(jpi,jpj,jpk), &
             &      sbias_p(jpi,jpj,jpk), &
-            &      tbias_i(jpi,jpj,jpk), &
-            &      sbias_i(jpi,jpj,jpk), &
             &      rhd_pc(jpi,jpj,jpk) , &
             &      gru_pc(jpi,jpj)     , &
@@ -520,5 +516,5 @@
 
 
-      IF ( lat_ramp_incpc) THEN
+      IF ( ln_incpc) THEN
        ! not sure if this should be a special case of nn_lat_ramp == 2
          minlat_bias = 3.0_wp
@@ -582,6 +578,4 @@
       ztscale = 0.1_wp
       zwgt    = 1.0_wp
-      tbias_i(:,:,:) = 0.0_wp
-      sbias_i(:,:,:) = 0.0_wp
 
       IF ( ln_bias_asm ) THEN
@@ -635,10 +629,8 @@
 
                      DO jk = 1, jpkm1
-
-                        tbias_i(:,:,jk) = ( t_bkginc(:,:,jk) * zwgt * ztfrac * (1.0 - fbcoef_stscale(:,:)) )         &
+                        tbias_p(:,:,jk) = tbias_p(:,:,jk) + ( t_bkginc(:,:,jk) * zwgt * ztfrac * (1.0 - fbcoef_stscale(:,:)) )         &
                         &                - ( tbias_asm_stscale(:,:,jk) * zfrac1 * (1.0 - fbcoef_stscale(:,:)) )
-                        sbias_i(:,:,jk) = ( s_bkginc(:,:,jk) * zwgt * ztfrac * (1.0 - fbcoef_stscale(:,:)) )         &
+                        sbias_p(:,:,jk) = sbias_p(:,:,jk) + ( s_bkginc(:,:,jk) * zwgt * ztfrac * (1.0 - fbcoef_stscale(:,:)) )         &
                         &                - ( sbias_asm_stscale(:,:,jk) * zfrac1 * (1.0 - fbcoef_stscale(:,:)) )
-
                      ENDDO
 
@@ -688,9 +680,9 @@
                    
                    DO jk = 1, jpkm1
-                      tbias_i(:,:,jk) = ( t_bkginc(:,:,jk) * zwgt * zfrac * (1.0 - fbcoef_stscale(:,:)) )         &
+                      tbias_p(:,:,jk) = tbias_p(:,:,jk) + ( t_bkginc(:,:,jk) * zwgt * zfrac * (1.0 - fbcoef_stscale(:,:)) )         &
                       &                - ( tbias_asm_stscale(:,:,jk) * zfrac1 * (1.0 - fbcoef_stscale(:,:)) )
-                      sbias_i(:,:,jk) = ( s_bkginc(:,:,jk) * zwgt * zfrac * (1.0 - fbcoef_stscale(:,:)) )         &
+                      sbias_p(:,:,jk) = sbias_p(:,:,jk) + ( s_bkginc(:,:,jk) * zwgt * zfrac * (1.0 - fbcoef_stscale(:,:)) )         &
                       &                - ( sbias_asm_stscale(:,:,jk) * zfrac1 * (1.0 - fbcoef_stscale(:,:)) )
-                    ENDDO
+                   ENDDO
 
                  ENDIF
@@ -864,19 +856,7 @@
          tsw(:,:,:,jp_tem) = tsa(:,:,:,jp_tem) - tbias_p(:,:,:)
          tsw(:,:,:,jp_sal) = tsa(:,:,:,jp_sal) - sbias_p(:,:,:)
-
-         IF (ln_incpc) THEN
-            tsw(:,:,:,jp_tem) = tsa(:,:,:,jp_tem) -tbias_i(:,:,:) - tbias_p(:,:,:)
-            tsw(:,:,:,jp_sal) = tsa(:,:,:,jp_sal) -sbias_i(:,:,:) - sbias_p(:,:,:)
-         ENDIF
-
       ELSE
          tsw(:,:,:,jp_tem) = tsb(:,:,:,jp_tem) - tbias_p(:,:,:)
          tsw(:,:,:,jp_sal) = tsb(:,:,:,jp_sal) - sbias_p(:,:,:)
-
-         IF (ln_incpc) THEN
-            tsw(:,:,:,jp_tem) = tsb(:,:,:,jp_tem) - tbias_i(:,:,:) - tbias_p(:,:,:)
-            tsw(:,:,:,jp_sal) = tsb(:,:,:,jp_sal) - sbias_i(:,:,:) - sbias_p(:,:,:)
-         ENDIF
-
       ENDIF
 
Index: /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/NEMO/OPA_SRC/ASM/biaspar.F90
===================================================================
--- /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/NEMO/OPA_SRC/ASM/biaspar.F90	(revision 7088)
+++ /branches/UKMO/dev_r5518_pcbias_ipc/NEMOGCM/NEMO/OPA_SRC/ASM/biaspar.F90	(revision 7089)
@@ -23,4 +23,5 @@
    LOGICAL, PUBLIC :: ln_bias_pc_app = .FALSE. !: estimate bias from assim incr
    LOGICAL, PUBLIC :: lrst_bias      = .FALSE. !: estimate bias from assim incr
+   LOGICAL, PUBLIC :: ln_incpc       = .FALSE. !: incr pressure correction
 
    REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE :: &