Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_LIM3_TRC/cpp_ORCA2_LIM3_TRC.fcm
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_LIM3_TRC/cpp_ORCA2_LIM3_TRC.fcm	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_LIM3_TRC/cpp_ORCA2_LIM3_TRC.fcm	(revision 7103)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_trabbl key_lim3 key_zdftke key_zdfddm key_zdftmx key_top key_iomput key_mpp_mpi
+bld::tool::fppkeys key_trabbl key_lim3 key_zdftke key_zdfddm key_zdftmx key_top key_iomput key_mpp_mpi key_nosignedzero
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_top_ref
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 7103)
@@ -29,9 +29,9 @@
 !
    ln_pisces     =  .false.     !  Run PISCES BGC model 
+   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
    ln_age        =  .false.     !  Run the sea water age tracer
    ln_cfc11      =  .false.     !  Run the CFC11 passive tracer
    ln_cfc12      =  .false.     !  Run the CFC12 passive tracer
    ln_c14        =  .false.     !  Run the Radiocarbon passive tracer
-   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
 !
    ln_trcdta     =  .false.  !  Initialisation from data input file (T) or not (F)
@@ -41,4 +41,10 @@
 !                !    name   !           title of the field            !   units    ! initial data from file or not ! 
 !  sn_tracer(1)  = 'tracer  ' , 'Tracer  Concentration                 ',   ' - '    ,           .false.
+/
+!-----------------------------------------------------------------------
+&namage         !   AGE 
+!-----------------------------------------------------------------------
+   rn_age_depth      = 10            ! depth over which age tracer reset to zero
+   rn_age_kill_rate  = -0.000138888  !  = -1/7200 recip of relaxation timescale (s) for  age tracer shallower than age_depth
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_trc_ref
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_trc_ref	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_trc_ref	(revision 7103)
@@ -1,24 +1,17 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !! Inert tracers reference namelist 
-!!       1  - AGE                (namage)
 !!       1  - CFC                (namcfc)
 !!       2  - C14               (namc14_typ, namc14_sbc, namc14_fcg)
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namage         !   AGE - dates
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   rn_age_depth      = 10            ! depth over which age tracer reset to zero
-   rn_age_kill_rate  = -0.000138888  !  = -1/7200 recip of relaxation timescale (s) for  age tracer shallower than age_depth
-/
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &namcfc     !   CFC 
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
    ndate_beg  = 300101    !  datedeb1
    nyear_res  = 1932      !  iannee1
 /
 !
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &namc14_typ     !  C14 - type of C14 tracer, default values of C14/C and pco2
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
    kc14typ  = 0          ! Type of C14 tracer (0=equilibrium; 1=bomb transient; 2=past transient)
    rc14at   = 1.0        ! Default value for atmospheric C14/C (used for equil run)
@@ -27,7 +20,7 @@
 /
 !
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &namc14_sbc     !  C14 - surface BC
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
    ln_chemh = .true.     ! Chemical enhancement in piston vel.: yes/no
    xkwind   = 0.360      ! Coefficient for gas exchange velocity
@@ -35,9 +28,9 @@
 /
 !
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &namc14_fcg     !  files & dates
 !               !  For Paleo-historical: specify tyrc14_beg in yr BP
 !               !  For Bomb: tyrc14_beg=0
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
    cfileco2    = 'splco2.dat'  !  atmospheric co2 - Bomb
    cfilec14    = 'atmc14.dat'  !  atmospheric c14 - Bomb
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcini_age.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcini_age.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcini_age.F90	(revision 7103)
@@ -10,5 +10,4 @@
    USE oce_trc
    USE trc
-   USE trcnam_age      ! AGE SMS namelist
    USE trcsms_age
 
@@ -39,6 +38,15 @@
       IF(lwp) WRITE(numout,*) ' trc_ini_age: passive tracer age'
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+      IF(lwp) WRITE(numout,*)
 
-      CALL trc_nam_age
+
+      ctrcnm    (jp_age) = 'Age'
+      ctrcln    (jp_age) = 'Sea water age since surface contact'
+      ctrcun    (jp_age) = 'year'
+      ln_trc_ini(jp_age) = .false. 
+      !
+      ln_trc_sbc(jp_age) = .false.
+      ln_trc_cbc(jp_age) = .false.
+      ln_trc_obc(jp_age) = .false.
 
       rryear  = 1._wp / ( nyear_len(1) * rday )    ! recip number of seconds in one year
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcnam_age.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcnam_age.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcnam_age.F90	(revision 7103)
@@ -38,27 +38,16 @@
       !!----------------------------------------------------------------------
 
-      ctrcnm    (jp_age) = 'Age'
-      ctrcln    (jp_age) = 'Sea water age since surface contact'
-      ctrcun    (jp_age) = 'year'
-      ln_trc_ini(jp_age) = .false. 
-      !
-      ln_trc_sbc(jp_age) =  ''
-      ln_trc_cbc(jp_age) =  ''
-      ln_trc_obc(jp_age) =  ''
-      !
-
-      REWIND( numtrc_ref )              ! Namelist namagedate in reference namelist : AGE parameters
-      READ  ( numtrc_ref, namage, IOSTAT = ios, ERR = 901)
+      REWIND( numnat_ref )              ! Namelist namagedate in reference namelist : AGE parameters
+      READ  ( numnat_ref, namage, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namage in reference namelist', lwp )
 
-      REWIND( numtrc_cfg )              ! Namelist namagedate in configuration namelist : AGE parameters
-      READ  ( numtrc_cfg, namage, IOSTAT = ios, ERR = 902 )
+      REWIND( numnat_cfg )              ! Namelist namagedate in configuration namelist : AGE parameters
+      READ  ( numnat_cfg, namage, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namage in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonr, namage )
+      IF(lwm) WRITE ( numont, namage )
 
       IF(lwp) THEN                  ! control print
          WRITE(numout,*) ' '
          WRITE(numout,*) ' Sea Age Tracer'
-         WRITE(numout,*) '  tracer nb : ', jp_age, '    short name : ', TRIM( ctrcnm(jp_age) )
          WRITE(numout,*)
          WRITE(numout,*) ' trc_nam_age: Read namage, namelist for Age passive tracer'
@@ -69,6 +58,5 @@
       ENDIF
 
-      IF(lwm) CALL FLUSH ( numonr )     ! flush output namelist
-
+      !
    END SUBROUTINE trc_nam_age
    
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/C14/trcnam_c14.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/C14/trcnam_c14.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/C14/trcnam_c14.F90	(revision 7103)
@@ -62,5 +62,4 @@
          WRITE(numout,*) ' '
          WRITE(numout,*) ' Radiocarbon C14'
-         WRITE(numout,*) '  tracer nb : ', jp_c14, '    short name : ', TRIM( ctrcnm(jp_c14) )
          WRITE(numout,*) ' '
          WRITE(numout,*) ' Namelist namc14_typ'
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 7103)
@@ -71,6 +71,4 @@
          WRITE(numout,*) ' '
          WRITE(numout,*) ' CFCs'
-         IF( ln_cfc11 )  WRITE(numout,*) '  tracer nb : ', jp_cfc0, '    short name : ', TRIM( ctrcnm(jp_cfc0) )
-         IF( ln_cfc12 )  WRITE(numout,*) '  tracer nb : ', jp_cfc1, '    short name : ', TRIM( ctrcnm(jp_cfc1) )
          WRITE(numout,*) ' '
          WRITE(numout,*) ' trc_nam: Read namdates, namelist for CFC chemical model'
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 7103)
@@ -115,8 +115,8 @@
    !! information for inputs
    !! --------------------------------------------------
-   LOGICAL   , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_ini     !: Initialisation from data input file
-   LOGICAL   , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_obc     !: Use open boundary condition data
-   LOGICAL   , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_sbc     !: Use surface boundary condition data
-   LOGICAL   , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_cbc     !: Use coastal boundary condition data
+   LOGICAL , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_ini     !: Initialisation from data input file
+   LOGICAL , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_obc     !: Use open boundary condition data
+   LOGICAL , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_sbc     !: Use surface boundary condition data
+   LOGICAL , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ln_trc_cbc     !: Use coastal boundary condition data
 
 
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 7103)
@@ -63,4 +63,5 @@
       CALL top_alloc()   ! allocate TOP arrays
       !
+      IF(.NOT.ln_trcdta )   ln_trc_ini(:) = .FALSE.
       !
       IF(lwp) WRITE(numout,*)
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 7102)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 7103)
@@ -64,5 +64,4 @@
       IF( ln_trcdmp .OR. ln_trcdmp_clo )   ln_trcdta     = .TRUE.   ! damping : need to have clim data
       !
-      IF( .NOT.ln_trcdta               )   ln_trc_ini(:) = .FALSE.
 
       IF(lwp) THEN                   ! control print
@@ -230,7 +229,7 @@
       ENDIF
       !
-      IF( ierr /= 0 )   CALL ctl_stop( 'STOP', 'trc_nam_ice: unable to allocate arrays' )
-      !
-      IF( ln_age .OR. ll_cfc .OR. ln_c14 ) THEN
+      IF( ln_age )  CALL trc_nam_age
+      !
+      IF( ll_cfc .OR. ln_c14 ) THEN
         !                             ! Open namelist files
         CALL ctl_opn( numtrc_ref, 'namelist_trc_ref'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )