Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/extract_rst.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 7113)
@@ -109,5 +109,5 @@
 # ==========
 #
-# $Id$
+# $Id: extract_rst.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2009-04-20T08:13:37Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/install.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/install.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/install.sh	(revision 7113)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: install.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2008-09-16T15:24:26Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/makefile_compile
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/makefile_compile	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/ADM/DOC_SCRIPTS/makefile_compile	(revision 7113)
@@ -21,5 +21,5 @@
 # ==========
 #
-# $Id$
+# $Id: makefile_compile 2520 2010-12-27 14:43:36Z rblod $
 #
 # - fplod 20100419T145702Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/CONFIG/makenemo
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/CONFIG/makenemo	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/CONFIG/makenemo	(revision 7113)
@@ -75,5 +75,5 @@
 # ==========
 #
-# $Id$
+# $Id: makenemo 5144 2015-03-11 15:51:28Z timgraham $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild	(revision 7113)
@@ -1,5 +1,5 @@
 #!/bin/ksh
 #
-#$Id$
+#$Id: rebuild 2281 2010-10-15 14:21:13Z smasson $
 #
 # This software is governed by the CeCILL license
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c	(revision 7113)
@@ -1,4 +1,4 @@
 /* parser config.in
- * $Id$
+ * $Id: tkcond.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c	(revision 7113)
@@ -1,4 +1,4 @@
 /* Generate tk script based upon config.in
- * $Id$
+ * $Id: tkgen.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c	(revision 7113)
@@ -1,4 +1,4 @@
 /* parser config.in
- * $Id$
+ * $Id: tkparse.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/NEMO/OPA_SRC/module_example
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 7113)
@@ -52,5 +52,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id: module_example 4147 2013-11-04 11:51:55Z cetlod $ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/SETTE/all_functions.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/SETTE/all_functions.sh	(revision 7113)
@@ -79,5 +79,5 @@
 # ==========
 #
-# $Id$
+# $Id: all_functions.sh 4316 2013-11-26 15:43:56Z clevy $
 #
 #   * creation
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 7113)
@@ -52,5 +52,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_archfile.sh 4162 2013-11-07 10:19:49Z cetlod $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 7113)
@@ -58,5 +58,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_config.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 7113)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_script.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 7113)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fclean_var.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 7113)
@@ -46,5 +46,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcopy_dir.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 7113)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fgo_to_TOOLS.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 7113)
@@ -48,5 +48,5 @@
 # ==========
 #
-# $Id$
+# $Id: Flist_archfile.sh 4148 2013-11-04 12:54:28Z cetlod $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 7113)
@@ -57,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_WORK.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 7113)
@@ -51,5 +51,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_bld.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 7113)
@@ -50,5 +50,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_config.sh 3715 2012-11-28 16:06:02Z acc $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 7113)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fprep_agrif.sh 5656 2015-07-31 08:55:56Z timgraham $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 7113)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fread_dir.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 7113)
@@ -1,5 +1,5 @@
 #!/bin/bash
 #------------------------------------------------
-#$Id$
+#$Id: chk_iomput.sh 4162 2013-11-07 10:19:49Z cetlod $
 #------------------------------------------------
 #
Index: /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/maketools
===================================================================
--- /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/maketools	(revision 7112)
+++ /branches/UKMO/r5936_CO6_CO5_shelfdiagnostic/NEMOGCM/TOOLS/maketools	(revision 7113)
@@ -64,5 +64,5 @@
 # ==========
 #
-# $Id$
+# $Id: maketools 4363 2014-01-22 11:11:47Z rfurner $
 #
 #