Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcini_age.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcini_age.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcini_age.F90	(revision 7124)
@@ -10,4 +10,5 @@
    USE oce_trc
    USE trc
+   USE trcnam_age
    USE trcsms_age
 
@@ -33,20 +34,12 @@
       INTEGER    ::  jn
       CHARACTER(len = 20)  ::  cltra
-
-
+      !!----------------------------------------------------------------------
+      !
+      CALL trc_nam_age
+      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) ' trc_ini_age: passive tracer age'
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
       IF(lwp) WRITE(numout,*)
-
-
-      ctrcnm    (jp_age) = 'Age'
-      ctrcln    (jp_age) = 'Sea water age since surface contact'
-      ctrcun    (jp_age) = 'year'
-      ln_trc_ini(jp_age) = .false. 
-      !
-      ln_trc_sbc(jp_age) = .false.
-      ln_trc_cbc(jp_age) = .false.
-      ln_trc_obc(jp_age) = .false.
 
       rryear  = 1._wp / ( nyear_len(1) * rday )    ! recip number of seconds in one year
Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcnam_age.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcnam_age.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/AGE/trcnam_age.F90	(revision 7124)
@@ -37,5 +37,13 @@
       NAMELIST/namage/ rn_age_depth, rn_age_kill_rate 
       !!----------------------------------------------------------------------
-
+      ! Variable setting
+      ctrcnm    (jp_age) = 'Age'
+      ctrcln    (jp_age) = 'Sea water age since surface contact'
+      ctrcun    (jp_age) = 'year'
+      ln_trc_ini(jp_age) = .false.
+      ln_trc_sbc(jp_age) = .false.
+      ln_trc_cbc(jp_age) = .false.
+      ln_trc_obc(jp_age) = .false.
+      !
       REWIND( numnat_ref )              ! Namelist namagedate in reference namelist : AGE parameters
       READ  ( numnat_ref, namage, IOSTAT = ios, ERR = 901)
Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/C14/trcnam_c14.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/C14/trcnam_c14.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/C14/trcnam_c14.F90	(revision 7124)
@@ -43,11 +43,13 @@
       NAMELIST/namc14_fcg/ cfileco2, cfilec14, tyrc14_beg  ! for transient exps; atm forcing
       !!-------------------------------------------------------------------
-      !
+      ! Variable setting
       ctrcnm    (jp_c14) = 'RC14'
       ctrcln    (jp_c14) = 'Radiocarbon ratio'
       ctrcun    (jp_c14) = '-'
       ln_trc_ini(jp_c14) = .false.
+      ln_trc_sbc(jp_c14) = .false.
+      ln_trc_cbc(jp_c14) = .false.
+      ln_trc_obc(jp_c14) = .false.
       !
-
       REWIND( numtrc_ref )              ! Namelist namc14_typ in reference namelist :
       READ  ( numtrc_ref, namc14_typ, IOSTAT = ios, ERR = 901)
Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcini_cfc.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcini_cfc.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcini_cfc.F90	(revision 7124)
@@ -46,10 +46,10 @@
       CHARACTER(len = 20)  ::  cltra
       !!----------------------------------------------------------------------
-
+      !
+      CALL trc_nam_cfc
+      !
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) ' trc_ini_cfc: initialisation of CFC chemical model'
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~'
-      !
-      CALL trc_nam_cfc
       !
       IF(lwp) WRITE(numout,*) 'read of formatted file cfc1112atm'
Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 7124)
@@ -41,5 +41,5 @@
       NAMELIST/namcfc/ ndate_beg, nyear_res
       !!----------------------------------------------------------------------
-
+      ! Variables setting
       IF( ln_cfc11 ) THEN
          ctrcnm    (jp_cfc0) = 'CFC11'
@@ -47,4 +47,7 @@
          ctrcun    (jp_cfc0) = 'umolC/L'
          ln_trc_ini(jp_cfc0) = .false.
+         ln_trc_sbc(jp_cfc0) = .false.
+         ln_trc_cbc(jp_cfc0) = .false.
+         ln_trc_obc(jp_cfc0) = .false.
       ENDIF
       !
@@ -54,9 +57,9 @@
          ctrcun    (jp_cfc1) = 'umolC/L'
          ln_trc_ini(jp_cfc1) = .false.
+         ln_trc_sbc(jp_cfc1) = .false.
+         ln_trc_cbc(jp_cfc1) = .false.
+         ln_trc_obc(jp_cfc1) = .false.
       ENDIF
       !
-      IF(lwp) THEN                   ! control print
-      ENDIF
-
       REWIND( numtrc_ref )              ! Namelist namcfcdate in reference namelist : CFC parameters
       READ  ( numtrc_ref, namcfc, IOSTAT = ios, ERR = 901)
Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 7124)
@@ -70,4 +70,5 @@
       !
       CALL trc_ini_sms   ! SMS
+      CALL trc_ini_inv   ! Inventories
       CALL trc_ini_trp   ! passive tracers transport
       CALL trc_ice_ini   ! Tracers in sea ice
@@ -78,5 +79,4 @@
       IF( nn_dttrc /= 1 ) &
       CALL trc_sub_ini    ! Initialize variables for substepping passive tracers
-      CALL trc_ini_inv    ! Inventories
       !
       IF( nn_timing == 1 )   CALL timing_stop('trc_init')
@@ -123,8 +123,7 @@
       IF(lwp) THEN               ! control print
          WRITE(numout,*)
-         WRITE(numout,*)
-         WRITE(numout,*) '          *** Total number of passive tracer jptra = ', jptra
-         WRITE(numout,*) '          *** Total volume of ocean                = ', areatot
-         WRITE(numout,*) '          *** Total inital content of all tracers '
+         WRITE(numout,*) '  *** Total number of passive tracer jptra = ', jptra
+         WRITE(numout,*) '  *** Total volume of ocean                = ', areatot
+         WRITE(numout,*) '  *** Total inital content of all tracers '
          WRITE(numout,*)
          DO jn = 1, jptra
@@ -140,5 +139,5 @@
          CALL prt_ctl_trc( tab4d=trn, mask=tmask, clinfo=ctrcnm )
       ENDIF
-9000  FORMAT(' tracer nb : ',i2,'      name :',a10,'      initial content :',e18.10)
+9000  FORMAT('  tracer nb : ',i2,'      name :',a10,'      initial content :',e18.10)
       !
    END SUBROUTINE trc_ini_inv
@@ -177,11 +176,13 @@
       !
       IF(lwp) THEN                   ! control print
-         WRITE(numout,*) 'ID     NAME     INI  SBC  CBC  OBC'
+         WRITE(numout,*)
+         WRITE(numout,*) ' trc_init: Summary for selected passive tracers'
+         WRITE(numout,*) ' ~~~~~~~~~~~~~~'
+         WRITE(numout,*) ' ID     NAME     INI  SBC  CBC  OBC'
          DO jn = 1, jptra
             WRITE(numout,9001) jn, TRIM(ctrcnm(jn)), ln_trc_ini(jn), ln_trc_sbc(jn),ln_trc_cbc(jn),ln_trc_obc(jn)
          END DO
-         WRITE(numout,*) ' '
       ENDIF
-9001  FORMAT(i3,1x,a10,3x,l2,3x,l2,3x,l2,3x,l2)
+9001  FORMAT(1x,i3,1x,a10,3x,l2,3x,l2,3x,l2,3x,l2)
       !
    END SUBROUTINE trc_ini_sms
Index: branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 7103)
+++ branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 7124)
@@ -20,9 +20,4 @@
    USE oce_trc           ! shared variables between ocean and passive tracers
    USE trc               ! passive tracers common variables
-   USE trcnam_pisces     ! PISCES namelist
-   USE trcnam_cfc        ! CFC SMS namelist
-   USE trcnam_c14        ! C14 SMS namelist
-   USE trcnam_age        ! AGE SMS namelist
-   USE trcnam_my_trc     ! MY_TRC SMS namelist
    USE trd_oce       
    USE trdtrc_oce
@@ -229,6 +224,4 @@
       ENDIF
       !
-      IF( ln_age )  CALL trc_nam_age
-      !
       IF( ll_cfc .OR. ln_c14 ) THEN
         !                             ! Open namelist files